summaryrefslogtreecommitdiff
path: root/packaging/source
diff options
context:
space:
mode:
authorxHire <xHire@0ee4d065-81f0-4d1e-b06c-ff20ad07cc3e>2008-07-25 10:57:55 +0000
committerxHire <xHire@0ee4d065-81f0-4d1e-b06c-ff20ad07cc3e>2008-07-25 10:57:55 +0000
commitad3359a9ab01b0c2f5a0111aecab8f82356da645 (patch)
tree369cf0d8b10fe20001697840d499d2b93fe96045 /packaging/source
parent08afddc1d2f06438b398db488433ead5ac3e36fe (diff)
- upgraded french language file
- added first version of packaging scripts for Linux platform and sources git-svn-id: http://opensvn.csie.org/tuxanci_ng@165 0ee4d065-81f0-4d1e-b06c-ff20ad07cc3e
Diffstat (limited to 'packaging/source')
-rwxr-xr-xpackaging/source/source.sh33
1 files changed, 33 insertions, 0 deletions
diff --git a/packaging/source/source.sh b/packaging/source/source.sh
new file mode 100755
index 0000000..c875f47
--- /dev/null
+++ b/packaging/source/source.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+echo "*** Source Packager ***"
+
+if [ ! $1 ]; then
+ echo "usage: $0 version"
+ exit 1
+fi
+
+VERSION=$1
+INSTALL_DIR="pkgs/tuxanci-${VERSION}-src"
+SVN='https://opensvn.csie.org/tuxanci_ng/'
+error="Error! See pkgs/src.log for more iformation"
+
+2&>1
+
+rm -rfv $INSTALL_DIR > pkgs/src.log || `echo $error; exit 1`
+
+mkdir -pv pkgs >> pkgs/src.log || `echo $error; exit 1`
+
+echo "* Fetching files from SVN"
+svn export $SVN pkgs/tuxanci-0.20.0-src >> pkgs/src.log || `echo $error; exit 1`
+
+echo "* Configuring"
+echo "#define TUXANCI_NG_VERSION \"${VERSION}\"" > $INSTALL_DIR/config.h || `echo $error; exit 1`
+
+rm -fv $INSTALL_DIR/ci >> pkgs/src.log || `echo $error; exit 1`
+
+echo "* Packaging"
+tar cjf $INSTALL_DIR.tar.bz2 $INSTALL_DIR || `echo $error; exit 1`
+
+echo "** Source package is ready!"
+